Subject: Re: bug#35696: preview-latex does not work under any Emacs themes and bug#35571: 12.1; Changing foreground breaks previews

From: David Kastrup <[email-masked]>
Date: Mon, 27 May 2019 10:56:56 +0200

Ikumi Keita <[email-masked]> writes:

>>>>>> David Kastrup <[email-masked]> writes:
>>> Are you thinking that it isn't fruitful to follow up the development of
>>> ghostscript every time incompatible change is introduced?
>
>> No since the changes tend to be completely arbitrary.  It's absolutely
>> not fruitful but exasperating.  That doesn't mean that it's not
>> necessary.
>
>> In this particular case, this is partly related to _not_ using
>> GhostScript as PDF interpreter but instead using pdftodsc and then
>> working with the resulting not-quite-standard PostScript.  This
>> minimises the amount of knowledge and code required to make this work
>> but necessitates working with interfaces of Ghostscript that its
>> developers feel no obligation to provide some consistency for.
>
>> Changing the operation in a manner foregoing pdftodsc would likely make
>> preview-latex less vulnerable to this kind of recurring API change.
>
> I infer from what you wrote that you don't have intent to fix the
> problem for yourself, at least for now.  Right?

It never was a problem for myself since my windows are black on white.
This code is for people who expect preview-latex to do something more
useful than the default on other setups.

-- 
David Kastrup